@import '../../../theme';

:host {
  width: 100%;
  height: 100%;
  display: flex;
  position: relative;

  .content {
    line-height: 1;
    display: flex;
    flex-flow: column;
    width: 100%;
    height: 100%;
    justify-content: center;

    .title {
      text-align: center;
      font-size: 10px;
      margin-bottom: 7px;
      padding: 5px 35px 0;
    }

    .value {
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 20px;
      margin-bottom: 5px;

      .icon {
        font-size: 7px;
        margin-right: 6px;

        &.trend-up {
          color: green;
        }
        &.trend-down {
          color: orange;
        }
      }
    }

    .pkm {
      display: flex;
      align-items: flex-end;
      justify-content: center;
      margin-top: 10px;

      .icon {
        margin-right: 14px;
        font-size: 15px;
      }

      .pkm-text {
        font-size: 15px;
        color: #b6e1fe;
        margin-right: 10px;
      }

      .pkm-value {
        font-size: 21px;
        color: #b6e1fe;
      }
    }
  }

  .standard {
    color: $color-typo-success;
  }

  .warning {
    color: $color-typo-warning;
  }

  .alert {
    color: $color-typo-alert;
  }

  .check_1 {
    color: $color-typo-success;
  }

  .decline_1 {
    color: $color-typo-warning;
  }

  .trend-up {
    color: $color-typo-success;
  }

  .trend-down {
    color: $color-typo-warning;
  }

  .icon {
    color: $color-typo-light;
  }
}
